# Copyright (c) 2018 Nokia, Mirantis Inc., Enea AB and others.
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Apache License, Version 2.0
# which accompanies this distribution, and is available at
# http://www.apache.org/licenses/LICENSE-2.0
##############################################################################
---
idf:
  version: 0.1
  # NOTE: Fuel checking is disabled until 'idf.fuel' is defined below
  installer: ['fuel']
  net_config:
    # NOTE: Network names are likely to change after the PDF spec is updated
    oob:  # BMC
      interface: 1
      network: 192.168.1.0
      vlan: native
      mask: 24
    admin:  # admin ens4f0
      interface: 1
      ip-range: 192.0.2.11-192.0.2.99
      vlan: native
      network: 192.0.2.0
      mask: 24
    mgmt:  # ens4f0
      interface: 1
      vlan: 184
      network: 192.0.2.0
      mask: 24
    storage:  # storage ens255f1 
      interface: 2
      vlan: native
      network: 12.0.0.0
      mask: 24
    private:  # ens4f0
      interface: 0
      vlan: 1000-1030
      network: 11.0.0.0
      mask: 24
    public:  # public  ens255f0
      interface: 3
      vlan: 1183
      network: 192.168.37.0
      ip-range: 192.168.37.200-192.168.37.220
      mask: 24
      gateway: 192.168.37.1
      dns:
        - 8.8.8.8
        - 8.8.4.4
  fuel:
    jumphost:
      bridges:
        admin: 'br-external'
        mgmt: 'br-tenant'
        private: ~
        public: ~
    maas:
      # MaaS timeouts (in minutes)
      timeout_comissioning: 10
      timeout_deploying: 15
    network:
      ntp_strata_host1: 1.fi.pool.ntp.org
      ntp_strata_host2: 1.pool.ntp.org
      node:
        # Ordered-list, index should be in sync with node index in PDF
        - interfaces: &interfaces
            # Ordered-list, index should be in sync with interface index in PDF
            - 'ens4f1'
            - 'ens4f0'
            - 'ens255f1'
            - 'ens255f0'
          busaddr: &busaddr
            # Bus-info reported by `ethtool -i ethX`
            - '0000:05:00.1'
            - '0000:05:00.0'
            - '0000:01:00.1'
            - '0000:01:00.0'
        - interfaces: *interfaces
          busaddr: *busaddr
        - interfaces: *interfaces
          busaddr: *busaddr
        - interfaces: *interfaces
          busaddr: *busaddr
        - interfaces: *interfaces
          busaddr: *busaddr
